import typescript from 'typescript';
export interface BaseParseResult {
    node: typescript.Node;
    moduleName: string;
}
export declare abstract class Processor {
    protected ts: typeof typescript;
    protected factory: typescript.NodeFactory;
    protected compilerOpts: typescript.CompilerOptions;
    constructor(ts: typeof typescript, factory: typescript.NodeFactory, compilerOpts: typescript.CompilerOptions);
    parse(node: typescript.Node): BaseParseResult | undefined;
    abstract updateModuleName(newModuleName: string, parseResult: BaseParseResult): typescript.Node | undefined;
}
